Description

Layer > Add Layer > Add Vector Layer displays a popup where you can select 'protocol' and import a layer from a URI.

Currently this functionality executes one query, and for ArcGIS MapServer data is thus limited by the "maxRecordCount" server

parameter.  The docs cover this process from the Python console here: [[https://issues.qgis.org/wiki/17/Arcgis_rest]] and mention the

limitation at the bottom.

Suggestion: Offer an option to input a base Feature Layer URI (ending ../MapServer/x - where x is the layer id) via an "ignore

maxRecordCount" tick box or similar on the popup. This should have the following effect:

1) send a query to get the record count: ..query?where=objectid+%3D+objectid&returnCountOnly=true&f=json

2) sends repeated queries to get the whole layer, build a single GeoJSON file and import it as 1 layer

3) optionally recursively work through group layers, add Groups for each and add each group's feature layers in each Group, sub Group

etc

I have written a simple command line utility to do exactly this and save files to disk: https://github.com/MatzFan/gis_scraper, please feel

free to use this if you can

Thanks

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2018-02-16 01:24 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

The inbuilt ArcGIS feature server provider automatically does this and should be used instead of the raw json url.
